import request from '@/utils/request'

// 查询设备更换材料台账列表
export function listLedger1710301659000(query) {
  return request({
    url: '/forms/api/gen/Ledger1710301659000/list',
    method: 'get',
    params: query
  })
}

// 查询设备更换材料台账详细
export function getLedger1710301659000(id) {
  return request({
    url: '/forms/api/gen/Ledger1710301659000/' + id,
    method: 'get'
  })
}

// 新增设备更换材料台账
export function addLedger1710301659000(data) {
  return request({
    url: '/forms/api/gen/Ledger1710301659000',
    method: 'post',
    data: data
  })
}

// 修改设备更换材料台账
export function updateLedger1710301659000(data) {
  return request({
    url: '/forms/api/gen/Ledger1710301659000',
    method: 'put',
    data: data
  })
}

// 删除设备更换材料台账
export function delLedger1710301659000(id) {
  return request({
    url: '/forms/api/gen/Ledger1710301659000/' + id,
    method: 'delete'
  })
}
